####WILCOXON RANK SUM TEST

#Reading data
WRST<-read.csv2("wrst.csv", header=T) 
attach(WRST) 
summary(WRST)

boxplot(SCORE~TRT)

#Analysing the distribution within the two treatments
WRST.PBO <- WRST[TRT=="PBO",]; summary(WRST.PBO)
WRST.SER <- WRST[TRT=="SER",]; summary(WRST.SER)

hist(WRST.PBO$SCORE)
hist(WRST.SER$SCORE)
 
shapiro.test(WRST.PBO$SCORE)
shapiro.test(WRST.SER$SCORE)

#Testing differences
wilcox.test(SCORE~TRT)
wilcox.test(SCORE~TRT, correct=F)

library(coin)
wilcox_test(SCORE~TRT)

q()
